**Introduction to Stata 
**Basics of programming in Stata
** 
** Presentation and interpretation of results in Stata

*** My first do file to analyse data 
*** date created 14.09.2016

*****Globals********
************************************************************************
***********************************************************************
*** SESSION I and II. Introduction and Basics of programming in Stata 
***********************************************************************
***********************************************************************
global DATA "C:\Users\Qwerty\Desktop\Title of your paper\Stata\Data" 
global DO "C:\Users\Qwerty\Desktop\Title of your paper\Stata\Do" 
global GRAPHS "C:\Users\Qwerty\Desktop\Title of your paper\Stata\Graphs"
global TEMP "C:\Users\Qwerty\Desktop\Title of your paper\Stata\Temp"
global RESULTS "C:\Users\Qwerty\Desktop\Title of your paper\Stata\Results"

*******************************************************
***SESSION III. Graphical capabilities of Stata: Bivariate analysis 
******************************************************
 
*****************************************************************************************************
** Bivariate analysis using stata
*****************************************************************************************************

** 1) Graphical approach to Bivariate analysis

** to investigate association between two continuous variables use a scatter plot
 
 twoway scatter cardmins age, mlab(name) || lfit cardmins age , title("Table 1. Gender of respondents") note("Source: Own survey", pos(5)) scheme(economist)
 graph export "$GRAPHS\\graph 4.pdf",  replace 


** to investigate association between continuous and categorical variables use a box plot 

graph box age, over(gender) title("Age distribution by gender", size(small)) note("Source: Own survey", pos(7)) scheme(sj)
graph export "$GRAPHS\\graph 5.pdf",  replace

** you can also use a kdensity plots
kdensity age if gender==1, addplot(kdensity age if gender==2) legend(label(1 "Female")label(2 "Male")) scheme(sj)
graph export "$GRAPHS\\graph 6.pdf",  replace

** 2) Numerical approach to Bivariate analysis

* I. Continous data
** a)  exploring correlation tables, 
 
 pwcorr age cardmins weigtsmins othermins, star(0.01)
 

** b) Running regressions

 eststo clear 
 
 eststo: regress cardmins age 
 eststo: regress cardmins age gender 
 eststo: regress cardmins age gender weigtsmins
 

** b) exporting regression results into word
 estout using "$RESULTS\\Regressions.rtf", replace  style(fixed) cells(b(star fmt(%9.3f)) se(par))stats(r2_a N, fmt(%9.3f %9.0g) labels(R-squared))legend label collabels(none) varlabels(_cons Constant) title("Table 1: Regression analysis")

 ** another example 
 eststo clear 
 eststo: regress othermins age 
 eststo: regress othermins age gender 
 eststo: regress othermins age gender weigtsmins
 
 estout using "$RESULTS\\Regressions.rtf", append style(fixed) cells(b(star fmt(%9.3f)) se(par))stats(r2_a N, fmt(%9.3f %9.0g) labels(R-squared))legend label collabels(none) varlabels(_cons Constant) title("Table 2: Regression analysis of othermins")

* II. Continous to categorical data
** running a t-test 
ttest age, by(gender)

***Categorical data analysis

** using cross tabulations 
  
tabulate reasons gender, col

tabulate reasons gender, row 

** running a Chi-squared test 

tabulate reasons gender, row col chi 

 

save "$TEMP\gym.dta", replace 

*********************************************************
** Session IV: Reshaping data and drawing maps 
*********************************************************
*****************************************************************************************************
** Merging two datasets  
*****************************************************************************************************
use "$TEMP\gym.dta", clear

merge 1:1 id using "$TEMP\additional data on wieghts.dta"



*****************************************************************************************************
** Appending additional data  
*****************************************************************************************************

use "$TEMP\gym.dta", clear

append using "$TEMP\gym addtional data 1.dta"


*****************************************************************************************************
** reshaping data 
*****************************************************************************************************
*** Data in the example file is of wide form so we want to reshape it into long form 
use "$DATA\reshape1.dta", replace

reshape long inc ue, i(id) j(year)

reshape wide


use "$DATA\reshape3.dta", replace
reshape long inc@r ue, i(id) j(year)


*****************************************************************************************************
** Drawing maps using stata  
*****************************************************************************************************

 clear 
 
 use "$DATA\\Italy-RegionsData.dta", clear
    . spmap relig1 using "$DATA\\Italy-RegionsCoordinates.dta", id(id)
 graph export "$GRAPHS\\graph 7.pdf",  replace

	use "$DATA\\Italy-RegionsData.dta", clear
    . spmap relig1 using "$DATA\\Italy-RegionsCoordinates.dta", id(id)          ///
        title("Pct. Catholics without reservations", size(*0.8))         ///
        subtitle("Italy, 1994-98" " ", size(*0.8))   

 graph export "$GRAPHS\\graph 8.pdf",  replace
